Subject: Trade swallowtails (papilio canadensis canadensis)?

From: [email-masked] (Tom Cohoe)
Date: Sun, 16 Jun 1996 05:36:56 GMT

Available for trade on a speciman for speciman basis, our local
Canadian swallowtail butterfly.  Here, at The Pas, Manitoba, the
species is 300 miles South of its Northern limit.  Our form is smaller
than say, the North Dakota form.  Since canadensis is now regarded as
a distinct species and not a form of glaucus, specimans from here are
of particular interest to students for purposes of comparison
illustrating geographic speciation.  I can accept any species of
papilio from anywhere in trade for canadensis.

Please respond by email to the address associated with this message.

                                                         Walter Krivda
                                                         The Pas, MB,
                                                          R9A-1K8,
                                                          CANADA.